获取 samlOrWsFedExternalDomainFederation
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
读取特定externalDomainName 的 samlOrWsFedExternalDomainFederation 对象的属性和关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Domain.Read.All、Domain.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
Domain.Read.All、Domain.ReadWrite.All
工作或学校帐户需要属于以下角色Azure Active Directory (Azure AD) 之一 :
HTTP 请求
GET /directory/federationConfigurations/graph.samlOrWsFedExternalDomainFederation?$filter=domains/any(x: x/id eq 'domainName-value')
查询参数
此方法需要 $filter OData 查询参数。 若要检索基于externalDomainName 的特定samlOrWsFedExternalDomainFederation 筛选器,请添加 ?$filter=domains/any(x: x/id eq 'domainName-value') 。
若要了解一般信息,请参阅 OData 查询参数 。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK samlOrWsFedExternalDomainFederation 对象。
示例
请求
GET https://graph.microsoft.com/beta/directory/federationConfigurations/graph.samlOrWsFedExternalDomainFederation?$filter=domains/any(x: x/id eq 'contoso.com')
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var samlOrWsFedExternalDomainFederation = await graphClient.Directory.FederationConfigurations
.Request()
.Filter("domains/any(x: x/id eq 'contoso.com')")
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let samlOrWsFedExternalDomainFederation = await client.api('/directory/federationConfigurations/graph.samlOrWsFedExternalDomainFederation')
.version('beta')
.filter('domains/any(x: x/id eq \'contoso.com\')')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/directory/federationConfigurations/graph.samlOrWsFedExternalDomainFederation?$filter=domains/any(x:%20x/id%20eq%20'contoso.com')"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphSamlOrWsFedExternalDomainFederation *samlOrWsFedExternalDomainFederation = [[MSGraphSamlOrWsFedExternalDomainFederation alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
SamlOrWsFedExternalDomainFederationCollectionPage samlOrWsFedExternalDomainFederation = graphClient.directory().federationConfigurations().graph.samlOrWsFedExternalDomainFederation()
.buildRequest()
.filter("domains/any(x: x/id eq 'contoso.com')")
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestParameters := &msgraphsdk.IdentityProviderBaseRequestBuilderGetQueryParameters{
Filter: "domains/any(x:%20x/id%20eq%20'contoso.com')",
}
options := &msgraphsdk.IdentityProviderBaseRequestBuilderGetRequestConfiguration{
QueryParameters: requestParameters,
}
identityProviderBaseId := "identityProviderBase-id"
result, err := graphClient.Directory().FederationConfigurationsById(&identityProviderBaseId).GetWithRequestConfigurationAndResponseHandler(options, nil)
Import-Module Microsoft.Graph.Identity.DirectoryManagement
Get-MgDirectoryFederationConfiguration -IdentityProviderBaseId $identityProviderBaseId -Filter "domains/any(x: x/id eq 'contoso.com')"
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"id": "96db02e2-80c1-5555-bc3a-de92ffb8c5be",
"displayName": "Contoso",
"issuerUri": "http://contoso.com/adfs/services/trust",
"metadataExchangeUri": null,
"signingCertificate": "MIIC6DCCAdCgAwIBAgIQQ6vYJIVKQ",
"passiveSignInUri": "https://contoso.com/adfs/ls/",
"preferredAuthenticationProtocol": "saml",
"domains": [
{
"id": "contoso.com"
}
]
}
]
}